package _VisualDVM.Passes.Sapfor;
import Common.Passes.PassException;
import _VisualDVM.Global;
public class SapforPass extends SilentSapforPass {
    //отличается наличием журнала и сообщений
    @Override
    protected void performFinish() throws Exception {
        target.db.BeginTransaction();
        try {
            unpackMessages();
        } catch (PassException ex) {
            Log.Writeln_(ex.getMessage());
        }
        target.db.Commit();
    }
    protected void unpackMessages() throws Exception {
        target.unpackMessagesAndLog(sapfor.getOutputMessage(), sapfor.getOutput());
    }
    @Override
    protected void showFinish() throws Exception {
        Global.mainModule.getUI().getMainWindow().getProjectWindow().RefreshProjectTreeAndMessages();
        Global.mainModule.getUI().getMainWindow().getProjectWindow().ShowProjectSapforLog();
    }
    @Override
    public void Interrupt() throws Exception {
        Global.mainModule.getSapfor().Interrupt();
    }
}
